Caura / docs
API Reference

Documents · Get and delete

GET and DELETE /api/v1/documents/{doc_id} — read or remove one document.

Pass the collection as a query parameter alongside the id.

GET
/api/v1/documents/{doc_id}

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Path Parameters

doc_id*Doc Id

Query Parameters

tenant_id*Tenant Id
collection*Collection

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/documents/string?tenant_id=string&collection=string"
{
  "id": "string",
  "tenant_id": "string",
  "fleet_id": "string",
  "collection": "string",
  "doc_id": "string",
  "data": {},
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "detail": "string",
  "error": {
    "code": "string",
    "message": "string",
    "details": {}
  }
}
{
  "detail": "string",
  "error": {
    "code": "string",
    "message": "string",
    "details": {}
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
DELETE
/api/v1/documents/{doc_id}

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Path Parameters

doc_id*Doc Id

Query Parameters

tenant_id*Tenant Id
collection*Collection

Response Body

application/json

application/json

application/json

curl -X DELETE "https://loading/api/v1/documents/string?tenant_id=string&collection=string"
Empty
{
  "detail": "string",
  "error": {
    "code": "string",
    "message": "string",
    "details": {}
  }
}
{
  "detail": "string",
  "error": {
    "code": "string",
    "message": "string",
    "details": {}
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}